# Partial Responses

By default, the server sends back the full representation of a resource after processing requests. For better performance, you can ask the server to send only the fields you really need and get a partial response instead. This lets your application avoid transferring, parsing and storing un-needed data.

To request a partial response, use the `fields` query parameter to specify the fields you want returned.

```
fields=dob,firstName,familyName,organization(id),organizations[name],teams[name,details/metrics/*,tags(id)]
```

#### Syntax

| Character | Meaning                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **,**     | Delimits fields. All fields need to be delimited by a **,**. eg. `fields=firstName,familyName`                                                                                                                                                                                                                                                                                                                                                                                                                            |
| **/**     | Use `a/b` to select a field b that is nested within field a; use `a/b/c` to select a field c nested within b.                                                                                                                                                                                                                                                                                                                                                                                                             |
| **( )**   | The subselector allows you to specify a set of sub fields of an array or object by placing those fields in the parentheses. For example `competitors(name,address/state)` would return the name fields of the competitors key and the state field of the address key inside the competitors object. This is also equivalent to `competitors/name,competitors/address/state`.                                                                                                                                              |
| **\***    | The wildcard character matches all fields at a level. eg. `*,organization/id` would return all fields, but only the id field of the organization key                                                                                                                                                                                                                                                                                                                                                                      |
| **\[]**   | The field selection will generally only refer to the fields being returned in the *data* section on the response, but by giving the name of the resource type and then enclosing the field selection syntax in square brackets you can select which fields display in the *included* section as well. eg `firstName,familyName,organizations[name,id,country]` will display the firstName and familyName from the data element and only the name, id and country from the organizations resources in the include section. |

All field references are relative to the `data` element.

If the resourceType and id fields are not displayed inside the data section for a sub-element, then the system will not make them available for Resource Inclusion, regardless of the use of the includes parameter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/sports-apis/handball/datacore-api-v1/introduction/partial-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
